function k=EBP(data)
% this function compute the Equvilance Breakdown point of data.
% it is used to decide how many non-zero element in x can be found through
% argmin||y-ax||1, if y is unique
% parameters
% data      that is a
% k         result
% reference
% Neighborly polytopes and sparse solution of underdetermined linear
% equations
% computation and relaxation conditions for equivalence between l1 and l0
% minimization
% =========================================================================
len=size(data, 2);
idx=combntns(1:len, 2);
val=0;
result=zeros(1, size(idx, 1));
for i=1:size(idx, 1)
    tmp=corrcoef(data(:, idx(i, 1)), data(:, idx(i, 2)));
    result(i)=abs(tmp(1, 2));
end
level=0.1*(0:10);
k=histc(result, level);